INTERFACE
SUBROUTINE LADINEAD(KSTART,KPROF,KASLB1,KPROMA,KFLDN,KFLDX,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,&
 & PGESLO,PGNORDL,PGNORDM,PINDX,PINDY,&
 & PSLBUF1,PURL0,PVRL0,PURL,PVRL,&
 & PUL0,PVL0,PCL0,PUL9,PVL9,PCL9,&
 & PURL05,PVRL05,PURL5,PVRL5,&
 & PUL05,PVL05,PCL05,PUL95,PVL95,PCL95,&
 & PUSI,PVSI,PUSI5,PVSI5,&
 & PUT1,PVT1,PSPT1,PUT15,PVT15 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDYN , ONLY : NVLAG ,NWLAG ,NITMP ,LADVF ,LQMHW ,&
 & LQMHP ,LSETTLST ,L2TLFF ,LELTRA 
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSLBUF1(KASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PURL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVRL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PURL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVRL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCL9(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL95(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSI(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT15(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT15(KPROMA)
END SUBROUTINE LADINEAD
END INTERFACE
